SUSE-SU-2012:0808-1

Security update for socat

SUSE Security Update: Security update for socat
Announcement ID: SUSE-SU-2012:0808-1
Rating: low
References: #627475 #759859
Affected Products:
  • SUSE Linux Enterprise Server 11 SP2
  • SUSE Linux Enterprise Server 11 SP1 for VMware
  • SUSE Linux Enterprise Server 11 SP1
  • SUSE Linux Enterprise Server 10 SP4
  • SUSE Linux Enterprise Desktop 11 SP2
  • SUSE Linux Enterprise Desktop 11 SP1
  • SUSE Linux Enterprise Desktop 10 SP4

  • An update that fixes two vulnerabilities is now available.

    Description:


    This update fixes two small security issues in socat:

    * Fixed a stack overflow in commandline parsing
    (bnc#627475 / CVE-2010-2799) Only exploitable if an
    attacker can control the commandline parameters.
    * Fixed heap overflow in READLINE output mode
    (bnc#759859 / CVE-2012-0219)

    Security Issue references:

    * CVE-2012-0219
    >
    * CVE-2010-2799
    >

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Server 11 SP2:
      zypper in -t patch slessp1-socat-6407
    • SUSE Linux Enterprise Server 11 SP1 for VMware:
      zypper in -t patch slessp1-socat-6407
    • SUSE Linux Enterprise Server 11 SP1:
      zypper in -t patch slessp1-socat-6407
    • SUSE Linux Enterprise Desktop 11 SP2:
      zypper in -t patch sledsp1-socat-6407
    • SUSE Linux Enterprise Desktop 11 SP1:
      zypper in -t patch sledsp1-socat-6407

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • socat-1.7.0.0-1.16.1
    • SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):
    • socat-1.7.0.0-1.16.1
    • SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):
    • socat-1.7.0.0-1.16.1
    • SUSE Linux Enterprise Server 10 SP4 (i586 x86_64):
    • socat-1.7.0.0-1.10.1
    • SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64):
    • socat-1.7.0.0-1.16.1
    • SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):
    • socat-1.7.0.0-1.16.1
    • SUSE Linux Enterprise Desktop 10 SP4 (i586 x86_64):
    • socat-1.7.0.0-1.10.1

    References:

  • http://support.novell.com/security/cve/CVE-2010-2799.html
  • http://support.novell.com/security/cve/CVE-2012-0219.html
  • https://bugzilla.novell.com/627475
  • https://bugzilla.novell.com/759859
  • http://download.suse.com/patch/finder/?keywords=1247a92da8b58834174608c8159b5c1a
  • http://download.suse.com/patch/finder/?keywords=26d6956b5e38b37b8fb00575dde970ba
  • 2020-03-20